layer_repeat_vector {keras} | R Documentation

## Repeats the input n times.

### Description

Repeats the input n times.

### Usage

    layer_repeat_vector(object, n, batch_size = NULL, name = NULL,
      trainable = NULL, weights = NULL)

### Arguments

`object` | Model or layer object
`n` | integer, repetition factor.
`batch_size` | Fixed batch size for layer
`name` | An optional name string for the layer. Should be unique in a model (do not reuse the same name twice). It will be autogenerated if it isn't provided.
`trainable` | Whether the layer weights will be updated during training.
`weights` | Initial weights for layer.

### Input shape

2D tensor of shape `(num_samples, features)`.

### Output shape

3D tensor of shape `(num_samples, n, features)`.

### See Also

Other core layers: `layer_activation`, `layer_activity_regularization`, `layer_dense`, `layer_dropout`, `layer_flatten`, `layer_input`, `layer_lambda`, `layer_masking`, `layer_permute`, `layer_reshape`

[Package keras version 2.2.4 Index]